Subject: Re: Re* [PATCH v4] userdiff: improve java hunk header regex

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Aug 2021 09:04:21 -0700

Johannes Sixt <[email-masked]> writes:

>> + * When writing or updating patterns, assume that the contents these
>> + * patterns are applied to are syntactically correct.  You do not have
>> + * to implement all syntactical corner cases---the patterns have to be
>> + * sufficiently permissive.
>> + */
>
> IMO, as written, the comment falls short of suggesting that patterns can
> be simple. How about appending "and can be simple"?

    The patterns can be simple without implementing all syntactical
    corner cases, as long as they are sufficiently permissive.

perhaps?

Thanks.